NXP NFC Reader Library v4.040.05.011646

Data Structures | Macros | Typedefs | Functions
Component : Software
Application Layer » Tag Operation Layer
Collaboration diagram for Component : Software:

## Data Structures
struct | phalTop_T1T_LockCtrlTlv
| T1T Lock Control TLV parameter structure. More...
struct | phalTop_T1T_MemCtrlTlv
| T1T Memory Control TLV parameter structure. More...
struct | phalTop_T1T_ProprietaryTlv
| T1T Proprietary TLV parameter structure. More...
struct | phalTop_TIT_Segment
| T1T Segment parameters. More...
struct | phalTop_T2T_LockCtrlTlv
| T2T Lock Control TLV parameter structure. More...
struct | phalTop_T2T_MemCtrlTlv
| T2T Memory Control TLV parameter structure. More...
struct | phalTop_T2T_Sector
| T2T Sector parameters. More...
struct | phalTop_T1T
| T1T parameter structure. More...
struct | phalTop_T2T
| T2T parameter structure. More...
struct | phalTop_T3T
| T3T parameter structure. More...
struct | phalTop_T4T
| T4T parameter structure. More...
struct | phalTop_T5T
| T5T parameter structure. More...
struct | phalTop_Sw_DataParams
| Tag Operations parameter structure. More...

## Macros
#define | PHAL_TOP_SW_ID 0x01U
| ID for Software Tag Operation layer.
#define | PHAL_TOP_MAX_TAGTYPE_SUPPORTED 0x05U
| Maximum number of Tag Types Supported.
#define | PHAL_TOP_T1T_MAX_MEM_CTRL_TLV 0x01U
| Max Memory control TLV count for T1T.
#define | PHAL_TOP_T1T_MAX_LOCK_CTRL_TLV 0x01U
| Max Lock control TLV count for T1T.
#define | PHAL_TOP_T2T_MAX_MEM_CTRL_TLV 0x01U
| Max Memory control TLV count for T2T.
#define | PHAL_TOP_T2T_MAX_LOCK_CTRL_TLV 0x01U
| Max Lock control TLV count for T2T.
#define | PHAL_TOP_T3T_READ_MAX_BLOCKS 0x0FU
| Max number of blocks supported in one read command. More...
#define | PHAL_TOP_T3T_WRITE_MAX_BLOCKS 0x0FU
| Max number of blocks supported in one write command. More...
#define | PHAL_TOP_T1T_NDEF_SUPPORTED_VNO 0x10U
| Version Number for T1T.
#define | PHAL_TOP_T2T_NDEF_SUPPORTED_VNO 0x10U
| Version Number for T2T.
#define | PHAL_TOP_T3T_NDEF_SUPPORTED_VNO 0x11U
| Version Number for T3T.
#define | PHAL_TOP_T4T_NDEF_SUPPORTED_VNO 0x20U
| Version Number for T4T.
#define | PHAL_TOP_T5T_NDEF_SUPPORTED_VNO 0x04U
| Version Number for T5T.

## Typedefs
typedef struct phalTop_T1T_LockCtrlTlv | phalTop_T1T_LockCtrlTlv_t
| T1T Lock Control TLV parameter structure.
typedef struct phalTop_T1T_MemCtrlTlv | phalTop_T1T_MemCtrlTlv_t
| T1T Memory Control TLV parameter structure.
typedef struct phalTop_T1T_ProprietaryTlv | phalTop_T1T_ProprietaryTlv_t
| T1T Proprietary TLV parameter structure.
typedef struct phalTop_TIT_Segment | phalTop_TIT_Segment_t
| T1T Segment parameters.
typedef struct phalTop_T2T_LockCtrlTlv | phalTop_T2T_LockCtrlTlv_t
| T2T Lock Control TLV parameter structure.
typedef struct phalTop_T2T_MemCtrlTlv | phalTop_T2T_MemCtrlTlv_t
| T2T Memory Control TLV parameter structure.
typedef struct phalTop_T2T_Sector | phalTop_T2T_Sector_t
| T2T Sector parameters.
typedef struct phalTop_T1T | phalTop_T1T_t
| T1T parameter structure.
typedef struct phalTop_T2T | phalTop_T2T_t
| T2T parameter structure.
typedef struct phalTop_T3T | phalTop_T3T_t
| T3T parameter structure.
typedef struct phalTop_T4T | phalTop_T4T_t
| T4T parameter structure.
typedef struct phalTop_T5T | phalTop_T5T_t
| T5T parameter structure.
typedef struct phalTop_Sw_DataParams | phalTop_Sw_DataParams_t
| Tag Operations parameter structure.

## Functions
phStatus_t | phalTop_Sw_Init (phalTop_Sw_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, void *pAlT1T, void *pAlMful, void *pAlFelica, void *pAlMfdf, void *pAl15693)
| Initialize this layer. More...

## phalTop Custom Error Codes
#define | PHAL_TOP_ERR_READONLY_TAG (PH_ERR_CUSTOM_BEGIN + 0x01)
| Tag is Read Only.
#define | PHAL_TOP_ERR_INVALID_STATE (PH_ERR_CUSTOM_BEGIN + 0x02)
| Tag state is invalid.
#define | PHAL_TOP_ERR_FORMATTED_TAG (PH_ERR_CUSTOM_BEGIN + 0x03)
| Tag already in NDEF formatted state. More...
#define | PHAL_TOP_ERR_UNSUPPORTED_VERSION (PH_ERR_CUSTOM_BEGIN + 0x04)
| Unsupported NDEF version. More...
#define | PHAL_TOP_ERR_MISCONFIGURED_TAG (PH_ERR_CUSTOM_BEGIN + 0x05)
| Tag not configured as per NDEF specification. More...
#define | PHAL_TOP_ERR_UNSUPPORTED_TAG (PH_ERR_CUSTOM_BEGIN + 0x06)
| Tag with unsupported structure/format. More...
#define | PHAL_TOP_ERR_EMPTY_NDEF (PH_ERR_CUSTOM_BEGIN + 0x07)
| NDEF message length is zero (i.e. More...
#define | PHAL_TOP_ERR_NON_NDEF_TAG (PH_ERR_CUSTOM_BEGIN + 0x08)
| Tag is not NDEF formatted. More...

## Detailed Description

## Macro Definition Documentation

## § PHAL_TOP_T3T_READ_MAX_BLOCKS

#define PHAL_TOP_T3T_READ_MAX_BLOCKS 0x0FU

Max number of blocks supported in one read command.

## § PHAL_TOP_T3T_WRITE_MAX_BLOCKS

#define PHAL_TOP_T3T_WRITE_MAX_BLOCKS 0x0FU

Max number of blocks supported in one write command.

## § PHAL_TOP_ERR_FORMATTED_TAG

#define PHAL_TOP_ERR_FORMATTED_TAG (PH_ERR_CUSTOM_BEGIN + 0x03)

Tag already in NDEF formatted state.

## § PHAL_TOP_ERR_UNSUPPORTED_VERSION

#define PHAL_TOP_ERR_UNSUPPORTED_VERSION (PH_ERR_CUSTOM_BEGIN + 0x04)

Unsupported NDEF version.

## § PHAL_TOP_ERR_MISCONFIGURED_TAG

#define PHAL_TOP_ERR_MISCONFIGURED_TAG (PH_ERR_CUSTOM_BEGIN + 0x05)

Tag not configured as per NDEF specification.

## § PHAL_TOP_ERR_UNSUPPORTED_TAG

#define PHAL_TOP_ERR_UNSUPPORTED_TAG (PH_ERR_CUSTOM_BEGIN + 0x06)

Tag with unsupported structure/format.

## § PHAL_TOP_ERR_EMPTY_NDEF

#define PHAL_TOP_ERR_EMPTY_NDEF (PH_ERR_CUSTOM_BEGIN + 0x07)

NDEF message length is zero (i.e.

Tag in initialized state).

## § PHAL_TOP_ERR_NON_NDEF_TAG

#define PHAL_TOP_ERR_NON_NDEF_TAG (PH_ERR_CUSTOM_BEGIN + 0x08)

Tag is not NDEF formatted.

## Function Documentation

## § phalTop_Sw_Init()

phStatus_t phalTop_Sw_Init | ( | phalTop_Sw_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | void * | pAlT1T,
|  | void * | pAlMful,
|  | void * | pAlFelica,
|  | void * | pAlMfdf,
|  | void * | pAl15693
| ) |  |

Initialize this layer.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  Other | Depending on error type

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | wSizeOfDataParams | Specifies the size of the data parameter structure.
  | pAlT1T | Pointer to T1T data parameters
  | pAlMful | Pointer to T2T data parameters
  | pAlFelica | Pointer to Felica data parameters
  | pAlMfdf | Pointer to T4T data parameters
  | pAl15693 | Pointer to T5T data parameters